"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const pg = require("pg");
function up() {
    return __awaiter(this, void 0, void 0, function* () {
        const client = new pg.Client(process.env.MERKEL_DB);
        yield new Promise((resolve, reject) => client.connect(err => err ? reject(err) : resolve()));
        yield client.query('CREATE TABLE new_table (test VARCHAR)');
    });
}
exports.up = up;
function down() {
    return __awaiter(this, void 0, void 0, function* () {
        const client = new pg.Client(process.env.MERKEL_DB);
        yield new Promise((resolve, reject) => client.connect(err => err ? reject(err) : resolve()));
        yield client.query('DROP TABLE new_table');
    });
}
exports.down = down;
//# sourceMappingURL=test_migration.js.map